# Coolmovies mobile challenge

You have to add the cool movies review feature to the existing `coolmovies-mobile`.

This folder contains a basic Flutter application with some example callbacks.

We've setup GraphQL for you. We recommend that you work on an emulator only, there's no need to test your application in a real device.

## Acceptance Criteria

For your solution to be accepted it is required that your application is able to:

1. List all the available movies, showing at least the title
2. Tapping on a movie must open a view page presenting all the available information to the user
3. Each movie page must display all its reviews
4. Each review should consist of (at least): title, body and stars (1-5)
5. The user should be able to create new reviews
6. The user should be able to edit their own reviews

Anything else is up to you (animations, assets, 3rd party dependencies, etc). We will consider all your additions so don't stick to the minimum!

Good luck!
